Merge remote-tracking branch 'origin/master' into YaSp
[scilab.git] / scilab / modules / ast / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
20 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
21 #
22 # This file must be used under the terms of the CeCILL.
23 # This source file is licensed as described in the file COPYING, which
24 # you should have received as part of this distribution.  The terms
25 # are also available at
26 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
27 #
28
29 ##########
30 ### Makefile included stuff
31 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
32 ##########
33
34
35 VPATH = @srcdir@
36 am__make_dryrun = \
37   { \
38     am__dry=no; \
39     case $$MAKEFLAGS in \
40       *\\[\ \   ]*) \
41         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
42           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
43       *) \
44         for am__flg in $$MAKEFLAGS; do \
45           case $$am__flg in \
46             *=*|--*) ;; \
47             *n*) am__dry=yes; break;; \
48           esac; \
49         done;; \
50     esac; \
51     test $$am__dry = yes; \
52   }
53 pkgdatadir = $(datadir)/@PACKAGE@
54 pkgincludedir = $(includedir)/@PACKAGE@
55 pkglibdir = $(libdir)/@PACKAGE@
56 pkglibexecdir = $(libexecdir)/@PACKAGE@
57 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
58 install_sh_DATA = $(install_sh) -c -m 644
59 install_sh_PROGRAM = $(install_sh) -c
60 install_sh_SCRIPT = $(install_sh) -c
61 INSTALL_HEADER = $(INSTALL_DATA)
62 transform = $(program_transform_name)
63 NORMAL_INSTALL = :
64 PRE_INSTALL = :
65 POST_INSTALL = :
66 NORMAL_UNINSTALL = :
67 PRE_UNINSTALL = :
68 POST_UNINSTALL = :
69 build_triplet = @build@
70 host_triplet = @host@
71 check_PROGRAMS = testConstExp$(EXEEXT) testVarExp$(EXEEXT) \
72         testControlExp$(EXEEXT)
73 TESTS = testConstExp$(EXEEXT) testVarExp$(EXEEXT) \
74         testControlExp$(EXEEXT)
75 DIST_COMMON = $(libsciast_la_include_HEADERS) $(srcdir)/Makefile.am \
76         $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am
77 @NEED_JAVA_TRUE@am__append_1 = java
78 subdir = modules/ast
79 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
80 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
81         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
82         $(top_srcdir)/m4/eigen.m4 $(top_srcdir)/m4/fftw.m4 \
83         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
84         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
85         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
86         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
87         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
88         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
89         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
90         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
91         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
92         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
93         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
94         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
95         $(top_srcdir)/configure.ac
96 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
97         $(ACLOCAL_M4)
98 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
99 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
100 CONFIG_CLEAN_FILES =
101 CONFIG_CLEAN_VPATH_FILES =
102 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
103 am__vpath_adj = case $$p in \
104     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
105     *) f=$$p;; \
106   esac;
107 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
108 am__install_max = 40
109 am__nobase_strip_setup = \
110   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
111 am__nobase_strip = \
112   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
113 am__nobase_list = $(am__nobase_strip_setup); \
114   for p in $$list; do echo "$$p $$p"; done | \
115   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
116   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
117     if (++n[$$2] == $(am__install_max)) \
118       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
119     END { for (dir in files) print dir, files[dir] }'
120 am__base_list = \
121   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
122   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
123 am__uninstall_files_from_dir = { \
124   test -z "$$files" \
125     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
126     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
127          $(am__cd) "$$dir" && rm -f $$files; }; \
128   }
129 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
130         "$(DESTDIR)$(libsciast_la_includedir)"
131 LTLIBRARIES = $(pkglib_LTLIBRARIES)
132 libsciast_la_LIBADD =
133 am_libsciast_la_OBJECTS = libsciast_la-libAst.lo \
134         libsciast_la-visitor_common.lo libsciast_la-printvisitor.lo \
135         libsciast_la-debugvisitor.lo libsciast_la-mutevisitor.lo \
136         libsciast_la-shortcutvisitor.lo \
137         libsciast_la-scilabexception.lo
138 libsciast_la_OBJECTS = $(am_libsciast_la_OBJECTS)
139 am_testConstExp_OBJECTS = testConstExp-testConstExp.$(OBJEXT)
140 testConstExp_OBJECTS = $(am_testConstExp_OBJECTS)
141 testConstExp_DEPENDENCIES = $(check_LDADD)
142 testConstExp_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
143         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(testConstExp_CXXFLAGS) \
144         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
145 am_testControlExp_OBJECTS = testControlExp-testControlExp.$(OBJEXT)
146 testControlExp_OBJECTS = $(am_testControlExp_OBJECTS)
147 testControlExp_DEPENDENCIES = $(check_LDADD)
148 testControlExp_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
149         $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
150         $(testControlExp_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
151         $(LDFLAGS) -o $@
152 am_testVarExp_OBJECTS = testVarExp-testVarExp.$(OBJEXT)
153 testVarExp_OBJECTS = $(am_testVarExp_OBJECTS)
154 testVarExp_DEPENDENCIES = $(check_LDADD)
155 testVarExp_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
156         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(testVarExp_CXXFLAGS) \
157         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
158 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
159 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
160 am__depfiles_maybe = depfiles
161 am__mv = mv -f
162 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
163         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
164 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
165         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
166         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
167 CXXLD = $(CXX)
168 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
169         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
170         $(LDFLAGS) -o $@
171 SOURCES = $(libsciast_la_SOURCES) $(testConstExp_SOURCES) \
172         $(testControlExp_SOURCES) $(testVarExp_SOURCES)
173 DIST_SOURCES = $(libsciast_la_SOURCES) $(testConstExp_SOURCES) \
174         $(testControlExp_SOURCES) $(testVarExp_SOURCES)
175 am__can_run_installinfo = \
176   case $$AM_UPDATE_INFO_DIR in \
177     n|no|NO) false;; \
178     *) (install-info --version) >/dev/null 2>&1;; \
179   esac
180 HEADERS = $(libsciast_la_include_HEADERS)
181 ETAGS = etags
182 CTAGS = ctags
183 am__tty_colors = \
184 red=; grn=; lgn=; blu=; std=
185 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
186 ACLOCAL = @ACLOCAL@
187 ALL_LINGUAS = @ALL_LINGUAS@
188 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
189 AMTAR = @AMTAR@
190 ANT = @ANT@
191 ANTLR = @ANTLR@
192 AR = @AR@
193 ARPACK_LIBS = @ARPACK_LIBS@
194 ASM3 = @ASM3@
195 AUTOCONF = @AUTOCONF@
196 AUTOHEADER = @AUTOHEADER@
197 AUTOMAKE = @AUTOMAKE@
198 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
199 AWK = @AWK@
200 BATIK = @BATIK@
201 BLAS_LIBS = @BLAS_LIBS@
202 CC = @CC@
203 CCACHE = @CCACHE@
204 CCDEPMODE = @CCDEPMODE@
205 CFLAGS = @CFLAGS@
206 CHECKSTYLE = @CHECKSTYLE@
207 COBERTURA = @COBERTURA@
208 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
209 COMMONS_IO = @COMMONS_IO@
210 COMMONS_LOGGING = @COMMONS_LOGGING@
211 CPP = @CPP@
212 CPPFLAGS = @CPPFLAGS@
213 CXX = @CXX@
214 CXXCPP = @CXXCPP@
215 CXXDEPMODE = @CXXDEPMODE@
216 CXXFLAGS = @CXXFLAGS@
217 CYGPATH_W = @CYGPATH_W@
218 DEFS = @DEFS@
219 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
220 DEPDIR = @DEPDIR@
221 DOCBOOK_ROOT = @DOCBOOK_ROOT@
222 DSYMUTIL = @DSYMUTIL@
223 DUMPBIN = @DUMPBIN@
224 ECHO_C = @ECHO_C@
225 ECHO_N = @ECHO_N@
226 ECHO_T = @ECHO_T@
227 EGREP = @EGREP@
228 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
229 EXEEXT = @EXEEXT@
230 F77 = @F77@
231 FFLAGS = @FFLAGS@
232 FFTW3_LIB = @FFTW3_LIB@
233 FFTW_ENABLE = @FFTW_ENABLE@
234 FGREP = @FGREP@
235 FLEXDOCK = @FLEXDOCK@
236 FLIBS = @FLIBS@
237 FOP = @FOP@
238 GENHTML = @GENHTML@
239 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
240 GIWS_BIN = @GIWS_BIN@
241 GLUEGEN2_RT = @GLUEGEN2_RT@
242 GMSGFMT = @GMSGFMT@
243 GMSGFMT_015 = @GMSGFMT_015@
244 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
245 GREP = @GREP@
246 GUI_ENABLE = @GUI_ENABLE@
247 HDF5_CFLAGS = @HDF5_CFLAGS@
248 HDF5_LIBS = @HDF5_LIBS@
249 HELP_ENABLE = @HELP_ENABLE@
250 INSTALL = @INSTALL@
251 INSTALL_DATA = @INSTALL_DATA@
252 INSTALL_PROGRAM = @INSTALL_PROGRAM@
253 INSTALL_SCRIPT = @INSTALL_SCRIPT@
254 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
255 INTLLIBS = @INTLLIBS@
256 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
257 JAR = @JAR@
258 JAVA = @JAVA@
259 JAVAC = @JAVAC@
260 JAVAC_DEBUG = @JAVAC_DEBUG@
261 JAVADOC = @JAVADOC@
262 JAVAH = @JAVAH@
263 JAVASCI_ENABLE = @JAVASCI_ENABLE@
264 JAVA_ENABLE = @JAVA_ENABLE@
265 JAVA_G = @JAVA_G@
266 JAVA_HOME = @JAVA_HOME@
267 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
268 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
269 JDB = @JDB@
270 JEUCLID_CORE = @JEUCLID_CORE@
271 JGRAPHX = @JGRAPHX@
272 JHALL = @JHALL@
273 JLATEXMATH = @JLATEXMATH@
274 JLATEXMATH_FOP = @JLATEXMATH_FOP@
275 JOGL2 = @JOGL2@
276 JROSETTA_API = @JROSETTA_API@
277 JROSETTA_ENGINE = @JROSETTA_ENGINE@
278 JUNIT4 = @JUNIT4@
279 LAPACK_LIBS = @LAPACK_LIBS@
280 LCOV = @LCOV@
281 LD = @LD@
282 LDFLAGS = @LDFLAGS@
283 LEX = @LEX@
284 LEXLIB = @LEXLIB@
285 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
286 LIBICONV = @LIBICONV@
287 LIBINTL = @LIBINTL@
288 LIBM = @LIBM@
289 LIBOBJS = @LIBOBJS@
290 LIBS = @LIBS@
291 LIBTOOL = @LIBTOOL@
292 LIPO = @LIPO@
293 LN_S = @LN_S@
294 LOGGING_LEVEL = @LOGGING_LEVEL@
295 LOOKS = @LOOKS@
296 LTLIBICONV = @LTLIBICONV@
297 LTLIBINTL = @LTLIBINTL@
298 LTLIBOBJS = @LTLIBOBJS@
299 MAINT = @MAINT@
300 MAKEINFO = @MAKEINFO@
301 MATIO_CFLAGS = @MATIO_CFLAGS@
302 MATIO_ENABLE = @MATIO_ENABLE@
303 MATIO_LIBS = @MATIO_LIBS@
304 MKDIR_P = @MKDIR_P@
305 MSGCAT = @MSGCAT@
306 MSGFMT = @MSGFMT@
307 MSGFMT_015 = @MSGFMT_015@
308 MSGMERGE = @MSGMERGE@
309 NM = @NM@
310 NMEDIT = @NMEDIT@
311 OBJDUMP = @OBJDUMP@
312 OBJEXT = @OBJEXT@
313 OCAMLC = @OCAMLC@
314 OCAMLDEP = @OCAMLDEP@
315 OCAMLLEX = @OCAMLLEX@
316 OCAMLOPT = @OCAMLOPT@
317 OCAMLYACC = @OCAMLYACC@
318 OPENMP_CFLAGS = @OPENMP_CFLAGS@
319 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
320 OPENMP_ENABLE = @OPENMP_ENABLE@
321 OPENMP_LIBS = @OPENMP_LIBS@
322 OTOOL = @OTOOL@
323 OTOOL64 = @OTOOL64@
324 PACKAGE = @PACKAGE@
325 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
326 PACKAGE_NAME = @PACKAGE_NAME@
327 PACKAGE_STRING = @PACKAGE_STRING@
328 PACKAGE_TARNAME = @PACKAGE_TARNAME@
329 PACKAGE_URL = @PACKAGE_URL@
330 PACKAGE_VERSION = @PACKAGE_VERSION@
331 PATH_SEPARATOR = @PATH_SEPARATOR@
332 PCRE_CFLAGS = @PCRE_CFLAGS@
333 PCRE_CONFIG = @PCRE_CONFIG@
334 PCRE_LIBS = @PCRE_LIBS@
335 PCRE_VERSION = @PCRE_VERSION@
336 PKG_CONFIG = @PKG_CONFIG@
337 POSUB = @POSUB@
338 POW_LIB = @POW_LIB@
339 PYTHON = @PYTHON@
340 RANLIB = @RANLIB@
341 RELOCATABLE = @RELOCATABLE@
342 RT_LIB = @RT_LIB@
343 SAXON = @SAXON@
344 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
345 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
346 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
347 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
348 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
349 SCIRENDERER = @SCIRENDERER@
350 SCI_CFLAGS = @SCI_CFLAGS@
351 SCI_CXXFLAGS = @SCI_CXXFLAGS@
352 SCI_FFLAGS = @SCI_FFLAGS@
353 SCI_LDFLAGS = @SCI_LDFLAGS@
354 SED = @SED@
355 SET_MAKE = @SET_MAKE@
356 SET_RELOCATABLE = @SET_RELOCATABLE@
357 SHELL = @SHELL@
358 SKINLF = @SKINLF@
359 SPLINT = @SPLINT@
360 STRIP = @STRIP@
361 SWIG_BIN = @SWIG_BIN@
362 SWIG_JAVA = @SWIG_JAVA@
363 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
364 TCLTK_LIBS = @TCLTK_LIBS@
365 TCL_INC_PATH = @TCL_INC_PATH@
366 TK_INC_PATH = @TK_INC_PATH@
367 UMFPACK_ENABLE = @UMFPACK_ENABLE@
368 UMFPACK_LIB = @UMFPACK_LIB@
369 USE_NLS = @USE_NLS@
370 VERSION = @VERSION@
371 WITH_OCAML = @WITH_OCAML@
372 WITH_TKSCI = @WITH_TKSCI@
373 XCOS_ENABLE = @XCOS_ENABLE@
374 XGETTEXT = @XGETTEXT@
375 XGETTEXT_015 = @XGETTEXT_015@
376 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
377 XMKMF = @XMKMF@
378 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
379 XML_APIS_EXT = @XML_APIS_EXT@
380 XML_CONFIG = @XML_CONFIG@
381 XML_FLAGS = @XML_FLAGS@
382 XML_LIBS = @XML_LIBS@
383 XML_VERSION = @XML_VERSION@
384 X_CFLAGS = @X_CFLAGS@
385 X_EXTRA_LIBS = @X_EXTRA_LIBS@
386 X_LIBS = @X_LIBS@
387 X_PRE_LIBS = @X_PRE_LIBS@
388 YACC = @YACC@
389 YFLAGS = @YFLAGS@
390 abs_builddir = @abs_builddir@
391 abs_srcdir = @abs_srcdir@
392 abs_top_builddir = @abs_top_builddir@
393 abs_top_srcdir = @abs_top_srcdir@
394 ac_ct_CC = @ac_ct_CC@
395 ac_ct_CXX = @ac_ct_CXX@
396 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
397 ac_ct_F77 = @ac_ct_F77@
398 am__include = @am__include@
399 am__leading_dot = @am__leading_dot@
400 am__quote = @am__quote@
401 am__tar = @am__tar@
402 am__untar = @am__untar@
403 bindir = @bindir@
404 build = @build@
405 build_alias = @build_alias@
406 build_cpu = @build_cpu@
407 build_os = @build_os@
408 build_vendor = @build_vendor@
409 builddir = @builddir@
410 cxx_present = @cxx_present@
411 datadir = @datadir@
412 datarootdir = @datarootdir@
413 docdir = @docdir@
414 dvidir = @dvidir@
415 exec_prefix = @exec_prefix@
416 host = @host@
417 host_alias = @host_alias@
418 host_cpu = @host_cpu@
419 host_os = @host_os@
420 host_vendor = @host_vendor@
421 htmldir = @htmldir@
422 includedir = @includedir@
423 infodir = @infodir@
424 install_sh = @install_sh@
425 libdir = @libdir@
426 libexecdir = @libexecdir@
427 localedir = @localedir@
428 localstatedir = @localstatedir@
429 mandir = @mandir@
430 mkdir_p = @mkdir_p@
431 oldincludedir = @oldincludedir@
432 pdfdir = @pdfdir@
433 prefix = @prefix@
434 program_transform_name = @program_transform_name@
435 psdir = @psdir@
436 sbindir = @sbindir@
437 sharedstatedir = @sharedstatedir@
438 srcdir = @srcdir@
439 sysconfdir = @sysconfdir@
440 target_alias = @target_alias@
441 top_build_prefix = @top_build_prefix@
442 top_builddir = @top_builddir@
443 top_srcdir = @top_srcdir@
444 yacc_present = @yacc_present@
445 pkglib_LTLIBRARIES = libsciast.la
446 libsciast_la_SOURCES = \
447         src/cpp/libAst.cpp \
448         src/cpp/visitor_common.cpp \
449         src/cpp/printvisitor.cpp \
450         src/cpp/debugvisitor.cpp \
451         src/cpp/mutevisitor.cpp \
452         src/cpp/shortcutvisitor.cpp \
453         src/cpp/scilabexception.cpp
454
455 libsciast_la_CPPFLAGS = \
456         -Iincludes \
457         -Isrc/cpp \
458     -I$(top_srcdir)/libs/dynamiclibrary/includes \
459     -I$(top_srcdir)/libs/MALLOC/includes \
460     -I$(top_srcdir)/modules/symbol/includes \
461         -I$(top_srcdir)/modules/types/includes \
462         -I$(top_srcdir)/modules/functions_manager/includes \
463         -I$(top_srcdir)/modules/console/includes \
464         -I$(top_srcdir)/modules/elementary_functions/includes \
465         -I$(top_srcdir)/modules/operations/includes \
466         -I$(top_srcdir)/modules/output_stream/includes \
467         -I$(top_srcdir)/modules/system_env/includes \
468         -I$(top_srcdir)/modules/api_scilab/includes \
469         -I$(top_srcdir)/modules/string/includes \
470         -I$(top_srcdir)/modules/threads/includes \
471         -I$(top_srcdir)/modules/localization/includes \
472     $(EIGEN_CPPFLAGS) \
473         $(AM_CPPFLAGS)
474
475 libsciast_la_includedir = $(pkgincludedir)
476 libsciast_la_include_HEADERS = 
477
478 ####################
479 ####################
480 check_INCLUDES = \
481     -I$(top_srcdir)/modules/symbol/includes \
482         -Iincludes/ \
483         -Isrc/cpp
484
485 check_LDADD = \
486     $(top_builddir)/modules/symbol/libsciSymbol.la \
487         $(top_builddir)/modules/ast/libsciast.la \
488         $(top_builddir)/modules/types/libsciTypes.la
489
490 testConstExp_SOURCES = src/cpp/testConstExp.cpp
491 testConstExp_CXXFLAGS = $(check_INCLUDES)
492 testConstExp_LDADD = $(check_LDADD)
493 testVarExp_SOURCES = src/cpp/testVarExp.cpp
494 testVarExp_CXXFLAGS = $(check_INCLUDES)
495 testVarExp_LDADD = $(check_LDADD)
496 testControlExp_SOURCES = src/cpp/testControlExp.cpp
497 testControlExp_CXXFLAGS = $(check_INCLUDES)
498 testControlExp_LDADD = $(check_LDADD)
499
500 # Where all the Scilab stuff is installed (macros, help, ...)
501 mydatadir = $(pkgdatadir)/modules/$(modulename)
502
503 # Set AM_* SCI detected settings
504 AM_CPPFLAGS = $(SCI_CPPFLAGS)
505 AM_CFLAGS = $(SCI_CFLAGS)
506 AM_CXXFLAGS = $(SCI_CXXFLAGS)
507 # append includes to AM_FFLAGS to manage fortran includes
508 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
509
510 # Tag shared libraries with the Scilab version
511 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
512
513 # splint options
514 SPLINT_OPTIONS = -weak -booltype BOOL
515
516 ########################### JAVA ######################################
517 #### We are delegating java compilation to ant... Thanks to that
518 #### the procedure will be the same with Microsoft Windows (C)
519 #### and Linux/Unix
520 #######################################################################
521 TARGETS_ALL = $(am__append_1)
522
523 ################ MACROS ######################
524 # Rule to build a macro
525 # NOT USED  AT THE MOMENT
526 SUFFIXES = .sci 
527
528 ########### INSTALL DOCUMENTATION ###################
529
530 # Install documentation files into the right target
531 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
532 # automake needs the html files to be present which is not the case when
533 # we are building Scilab
534
535 # Where it should be installed
536 pkgdocdir = $(mydatadir)
537
538 # What is the mask of the help source
539 DOCMASKXML = *.xml
540
541 # What is the mask of the MathML sources
542 DOCMASKMML = *.mml
543
544 ########### INSTALL DATA ###################
545 # Install macros, help & demos
546 # Where it should be installed
547 pkgmacrosdir = $(mydatadir)
548 # Which directory we process
549 MACRODIRS = macros/
550 # Mask of the Scilab sources macros
551 MACROMASK = *.sci
552 # Mask of the Scilab executable sources macros
553 MACROBUILDMASK = *.sce
554 # Mask of the Scilab compiled macros
555 MACROBINMASK = *.bin
556 # List of the standard directory for tests
557 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
558 # Where the demos should be installed
559 pkgdemosdir = $(mydatadir)
560 # List of the standard directory for demos
561 DEMOS_DIR = demos
562 # List of the standard directory for examples
563 EXAMPLES_DIR = examples
564 # Where to export JAVA archives (.jar)
565 JARDIR = jar/
566 # JAR files mask
567 JARMASK = *.jar
568 # Chapter file 
569 HELP_CHAPTERDIR = help/
570 HELP_CHAPTERFILE = addchapter.sce
571 HELP_CHAPTERLANG = en_US fr_FR pt_BR
572 all: all-am
573
574 .SUFFIXES:
575 .SUFFIXES: .sci .bin .cpp .lo .o .obj
576 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
577         @for dep in $?; do \
578           case '$(am__configure_deps)' in \
579             *$$dep*) \
580               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
581                 && { if test -f $@; then exit 0; else break; fi; }; \
582               exit 1;; \
583           esac; \
584         done; \
585         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ast/Makefile'; \
586         $(am__cd) $(top_srcdir) && \
587           $(AUTOMAKE) --foreign modules/ast/Makefile
588 .PRECIOUS: Makefile
589 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
590         @case '$?' in \
591           *config.status*) \
592             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
593           *) \
594             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
595             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
596         esac;
597 $(top_srcdir)/Makefile.incl.am:
598
599 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
600         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
601
602 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
603         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
604 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
605         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
606 $(am__aclocal_m4_deps):
607 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
608         @$(NORMAL_INSTALL)
609         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
610         list2=; for p in $$list; do \
611           if test -f $$p; then \
612             list2="$$list2 $$p"; \
613           else :; fi; \
614         done; \
615         test -z "$$list2" || { \
616           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
617           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
618           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
619           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
620         }
621
622 uninstall-pkglibLTLIBRARIES:
623         @$(NORMAL_UNINSTALL)
624         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
625         for p in $$list; do \
626           $(am__strip_dir) \
627           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
628           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
629         done
630
631 clean-pkglibLTLIBRARIES:
632         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
633         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
634           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
635           test "$$dir" != "$$p" || dir=.; \
636           echo "rm -f \"$${dir}/so_locations\""; \
637           rm -f "$${dir}/so_locations"; \
638         done
639 libsciast.la: $(libsciast_la_OBJECTS) $(libsciast_la_DEPENDENCIES) $(EXTRA_libsciast_la_DEPENDENCIES) 
640         $(CXXLINK) -rpath $(pkglibdir) $(libsciast_la_OBJECTS) $(libsciast_la_LIBADD) $(LIBS)
641
642 clean-checkPROGRAMS:
643         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
644         echo " rm -f" $$list; \
645         rm -f $$list || exit $$?; \
646         test -n "$(EXEEXT)" || exit 0; \
647         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
648         echo " rm -f" $$list; \
649         rm -f $$list
650 testConstExp$(EXEEXT): $(testConstExp_OBJECTS) $(testConstExp_DEPENDENCIES) $(EXTRA_testConstExp_DEPENDENCIES) 
651         @rm -f testConstExp$(EXEEXT)
652         $(testConstExp_LINK) $(testConstExp_OBJECTS) $(testConstExp_LDADD) $(LIBS)
653 testControlExp$(EXEEXT): $(testControlExp_OBJECTS) $(testControlExp_DEPENDENCIES) $(EXTRA_testControlExp_DEPENDENCIES) 
654         @rm -f testControlExp$(EXEEXT)
655         $(testControlExp_LINK) $(testControlExp_OBJECTS) $(testControlExp_LDADD) $(LIBS)
656 testVarExp$(EXEEXT): $(testVarExp_OBJECTS) $(testVarExp_DEPENDENCIES) $(EXTRA_testVarExp_DEPENDENCIES) 
657         @rm -f testVarExp$(EXEEXT)
658         $(testVarExp_LINK) $(testVarExp_OBJECTS) $(testVarExp_LDADD) $(LIBS)
659
660 mostlyclean-compile:
661         -rm -f *.$(OBJEXT)
662
663 distclean-compile:
664         -rm -f *.tab.c
665
666 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-debugvisitor.Plo@am__quote@
667 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-libAst.Plo@am__quote@
668 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-mutevisitor.Plo@am__quote@
669 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-printvisitor.Plo@am__quote@
670 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-scilabexception.Plo@am__quote@
671 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-shortcutvisitor.Plo@am__quote@
672 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-visitor_common.Plo@am__quote@
673 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testConstExp-testConstExp.Po@am__quote@
674 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testControlExp-testControlExp.Po@am__quote@
675 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testVarExp-testVarExp.Po@am__quote@
676
677 .cpp.o:
678 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
679 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
680 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
681 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
682 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
683
684 .cpp.obj:
685 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
686 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
687 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
688 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
689 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
690
691 .cpp.lo:
692 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
693 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
694 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
695 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
696 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
697
698 libsciast_la-libAst.lo: src/cpp/libAst.cpp
699 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-libAst.lo -MD -MP -MF $(DEPDIR)/libsciast_la-libAst.Tpo -c -o libsciast_la-libAst.lo `test -f 'src/cpp/libAst.cpp' || echo '$(srcdir)/'`src/cpp/libAst.cpp
700 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-libAst.Tpo $(DEPDIR)/libsciast_la-libAst.Plo
701 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/libAst.cpp' object='libsciast_la-libAst.lo' libtool=yes @AMDEPBACKSLASH@
702 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
703 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-libAst.lo `test -f 'src/cpp/libAst.cpp' || echo '$(srcdir)/'`src/cpp/libAst.cpp
704
705 libsciast_la-visitor_common.lo: src/cpp/visitor_common.cpp
706 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-visitor_common.lo -MD -MP -MF $(DEPDIR)/libsciast_la-visitor_common.Tpo -c -o libsciast_la-visitor_common.lo `test -f 'src/cpp/visitor_common.cpp' || echo '$(srcdir)/'`src/cpp/visitor_common.cpp
707 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-visitor_common.Tpo $(DEPDIR)/libsciast_la-visitor_common.Plo
708 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/visitor_common.cpp' object='libsciast_la-visitor_common.lo' libtool=yes @AMDEPBACKSLASH@
709 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
710 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-visitor_common.lo `test -f 'src/cpp/visitor_common.cpp' || echo '$(srcdir)/'`src/cpp/visitor_common.cpp
711
712 libsciast_la-printvisitor.lo: src/cpp/printvisitor.cpp
713 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-printvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-printvisitor.Tpo -c -o libsciast_la-printvisitor.lo `test -f 'src/cpp/printvisitor.cpp' || echo '$(srcdir)/'`src/cpp/printvisitor.cpp
714 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-printvisitor.Tpo $(DEPDIR)/libsciast_la-printvisitor.Plo
715 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/printvisitor.cpp' object='libsciast_la-printvisitor.lo' libtool=yes @AMDEPBACKSLASH@
716 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
717 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-printvisitor.lo `test -f 'src/cpp/printvisitor.cpp' || echo '$(srcdir)/'`src/cpp/printvisitor.cpp
718
719 libsciast_la-debugvisitor.lo: src/cpp/debugvisitor.cpp
720 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-debugvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-debugvisitor.Tpo -c -o libsciast_la-debugvisitor.lo `test -f 'src/cpp/debugvisitor.cpp' || echo '$(srcdir)/'`src/cpp/debugvisitor.cpp
721 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-debugvisitor.Tpo $(DEPDIR)/libsciast_la-debugvisitor.Plo
722 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/debugvisitor.cpp' object='libsciast_la-debugvisitor.lo' libtool=yes @AMDEPBACKSLASH@
723 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
724 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-debugvisitor.lo `test -f 'src/cpp/debugvisitor.cpp' || echo '$(srcdir)/'`src/cpp/debugvisitor.cpp
725
726 libsciast_la-mutevisitor.lo: src/cpp/mutevisitor.cpp
727 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-mutevisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-mutevisitor.Tpo -c -o libsciast_la-mutevisitor.lo `test -f 'src/cpp/mutevisitor.cpp' || echo '$(srcdir)/'`src/cpp/mutevisitor.cpp
728 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-mutevisitor.Tpo $(DEPDIR)/libsciast_la-mutevisitor.Plo
729 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/mutevisitor.cpp' object='libsciast_la-mutevisitor.lo' libtool=yes @AMDEPBACKSLASH@
730 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
731 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-mutevisitor.lo `test -f 'src/cpp/mutevisitor.cpp' || echo '$(srcdir)/'`src/cpp/mutevisitor.cpp
732
733 libsciast_la-shortcutvisitor.lo: src/cpp/shortcutvisitor.cpp
734 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-shortcutvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-shortcutvisitor.Tpo -c -o libsciast_la-shortcutvisitor.lo `test -f 'src/cpp/shortcutvisitor.cpp' || echo '$(srcdir)/'`src/cpp/shortcutvisitor.cpp
735 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-shortcutvisitor.Tpo $(DEPDIR)/libsciast_la-shortcutvisitor.Plo
736 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/shortcutvisitor.cpp' object='libsciast_la-shortcutvisitor.lo' libtool=yes @AMDEPBACKSLASH@
737 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
738 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-shortcutvisitor.lo `test -f 'src/cpp/shortcutvisitor.cpp' || echo '$(srcdir)/'`src/cpp/shortcutvisitor.cpp
739
740 libsciast_la-scilabexception.lo: src/cpp/scilabexception.cpp
741 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-scilabexception.lo -MD -MP -MF $(DEPDIR)/libsciast_la-scilabexception.Tpo -c -o libsciast_la-scilabexception.lo `test -f 'src/cpp/scilabexception.cpp' || echo '$(srcdir)/'`src/cpp/scilabexception.cpp
742 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciast_la-scilabexception.Tpo $(DEPDIR)/libsciast_la-scilabexception.Plo
743 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/scilabexception.cpp' object='libsciast_la-scilabexception.lo' libtool=yes @AMDEPBACKSLASH@
744 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
745 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-scilabexception.lo `test -f 'src/cpp/scilabexception.cpp' || echo '$(srcdir)/'`src/cpp/scilabexception.cpp
746
747 testConstExp-testConstExp.o: src/cpp/testConstExp.cpp
748 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -MT testConstExp-testConstExp.o -MD -MP -MF $(DEPDIR)/testConstExp-testConstExp.Tpo -c -o testConstExp-testConstExp.o `test -f 'src/cpp/testConstExp.cpp' || echo '$(srcdir)/'`src/cpp/testConstExp.cpp
749 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testConstExp-testConstExp.Tpo $(DEPDIR)/testConstExp-testConstExp.Po
750 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testConstExp.cpp' object='testConstExp-testConstExp.o' libtool=no @AMDEPBACKSLASH@
751 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
752 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -c -o testConstExp-testConstExp.o `test -f 'src/cpp/testConstExp.cpp' || echo '$(srcdir)/'`src/cpp/testConstExp.cpp
753
754 testConstExp-testConstExp.obj: src/cpp/testConstExp.cpp
755 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -MT testConstExp-testConstExp.obj -MD -MP -MF $(DEPDIR)/testConstExp-testConstExp.Tpo -c -o testConstExp-testConstExp.obj `if test -f 'src/cpp/testConstExp.cpp'; then $(CYGPATH_W) 'src/cpp/testConstExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testConstExp.cpp'; fi`
756 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testConstExp-testConstExp.Tpo $(DEPDIR)/testConstExp-testConstExp.Po
757 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testConstExp.cpp' object='testConstExp-testConstExp.obj' libtool=no @AMDEPBACKSLASH@
758 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
759 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testConstExp_CXXFLAGS) $(CXXFLAGS) -c -o testConstExp-testConstExp.obj `if test -f 'src/cpp/testConstExp.cpp'; then $(CYGPATH_W) 'src/cpp/testConstExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testConstExp.cpp'; fi`
760
761 testControlExp-testControlExp.o: src/cpp/testControlExp.cpp
762 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -MT testControlExp-testControlExp.o -MD -MP -MF $(DEPDIR)/testControlExp-testControlExp.Tpo -c -o testControlExp-testControlExp.o `test -f 'src/cpp/testControlExp.cpp' || echo '$(srcdir)/'`src/cpp/testControlExp.cpp
763 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testControlExp-testControlExp.Tpo $(DEPDIR)/testControlExp-testControlExp.Po
764 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testControlExp.cpp' object='testControlExp-testControlExp.o' libtool=no @AMDEPBACKSLASH@
765 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
766 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -c -o testControlExp-testControlExp.o `test -f 'src/cpp/testControlExp.cpp' || echo '$(srcdir)/'`src/cpp/testControlExp.cpp
767
768 testControlExp-testControlExp.obj: src/cpp/testControlExp.cpp
769 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -MT testControlExp-testControlExp.obj -MD -MP -MF $(DEPDIR)/testControlExp-testControlExp.Tpo -c -o testControlExp-testControlExp.obj `if test -f 'src/cpp/testControlExp.cpp'; then $(CYGPATH_W) 'src/cpp/testControlExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testControlExp.cpp'; fi`
770 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testControlExp-testControlExp.Tpo $(DEPDIR)/testControlExp-testControlExp.Po
771 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testControlExp.cpp' object='testControlExp-testControlExp.obj' libtool=no @AMDEPBACKSLASH@
772 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
773 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testControlExp_CXXFLAGS) $(CXXFLAGS) -c -o testControlExp-testControlExp.obj `if test -f 'src/cpp/testControlExp.cpp'; then $(CYGPATH_W) 'src/cpp/testControlExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testControlExp.cpp'; fi`
774
775 testVarExp-testVarExp.o: src/cpp/testVarExp.cpp
776 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -MT testVarExp-testVarExp.o -MD -MP -MF $(DEPDIR)/testVarExp-testVarExp.Tpo -c -o testVarExp-testVarExp.o `test -f 'src/cpp/testVarExp.cpp' || echo '$(srcdir)/'`src/cpp/testVarExp.cpp
777 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testVarExp-testVarExp.Tpo $(DEPDIR)/testVarExp-testVarExp.Po
778 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testVarExp.cpp' object='testVarExp-testVarExp.o' libtool=no @AMDEPBACKSLASH@
779 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
780 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -c -o testVarExp-testVarExp.o `test -f 'src/cpp/testVarExp.cpp' || echo '$(srcdir)/'`src/cpp/testVarExp.cpp
781
782 testVarExp-testVarExp.obj: src/cpp/testVarExp.cpp
783 @am__fastdepCXX_TRUE@   $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -MT testVarExp-testVarExp.obj -MD -MP -MF $(DEPDIR)/testVarExp-testVarExp.Tpo -c -o testVarExp-testVarExp.obj `if test -f 'src/cpp/testVarExp.cpp'; then $(CYGPATH_W) 'src/cpp/testVarExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testVarExp.cpp'; fi`
784 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/testVarExp-testVarExp.Tpo $(DEPDIR)/testVarExp-testVarExp.Po
785 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/testVarExp.cpp' object='testVarExp-testVarExp.obj' libtool=no @AMDEPBACKSLASH@
786 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
787 @am__fastdepCXX_FALSE@  $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(testVarExp_CXXFLAGS) $(CXXFLAGS) -c -o testVarExp-testVarExp.obj `if test -f 'src/cpp/testVarExp.cpp'; then $(CYGPATH_W) 'src/cpp/testVarExp.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/testVarExp.cpp'; fi`
788
789 mostlyclean-libtool:
790         -rm -f *.lo
791
792 clean-libtool:
793         -rm -rf .libs _libs
794 install-libsciast_la_includeHEADERS: $(libsciast_la_include_HEADERS)
795         @$(NORMAL_INSTALL)
796         @list='$(libsciast_la_include_HEADERS)'; test -n "$(libsciast_la_includedir)" || list=; \
797         if test -n "$$list"; then \
798           echo " $(MKDIR_P) '$(DESTDIR)$(libsciast_la_includedir)'"; \
799           $(MKDIR_P) "$(DESTDIR)$(libsciast_la_includedir)" || exit 1; \
800         fi; \
801         for p in $$list; do \
802           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
803           echo "$$d$$p"; \
804         done | $(am__base_list) | \
805         while read files; do \
806           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsciast_la_includedir)'"; \
807           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsciast_la_includedir)" || exit $$?; \
808         done
809
810 uninstall-libsciast_la_includeHEADERS:
811         @$(NORMAL_UNINSTALL)
812         @list='$(libsciast_la_include_HEADERS)'; test -n "$(libsciast_la_includedir)" || list=; \
813         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
814         dir='$(DESTDIR)$(libsciast_la_includedir)'; $(am__uninstall_files_from_dir)
815
816 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
817         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
818         unique=`for i in $$list; do \
819             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
820           done | \
821           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
822               END { if (nonempty) { for (i in files) print i; }; }'`; \
823         mkid -fID $$unique
824 tags: TAGS
825
826 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
827                 $(TAGS_FILES) $(LISP)
828         set x; \
829         here=`pwd`; \
830         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
831         unique=`for i in $$list; do \
832             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
833           done | \
834           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
835               END { if (nonempty) { for (i in files) print i; }; }'`; \
836         shift; \
837         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
838           test -n "$$unique" || unique=$$empty_fix; \
839           if test $$# -gt 0; then \
840             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
841               "$$@" $$unique; \
842           else \
843             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
844               $$unique; \
845           fi; \
846         fi
847 ctags: CTAGS
848 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
849                 $(TAGS_FILES) $(LISP)
850         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
851         unique=`for i in $$list; do \
852             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
853           done | \
854           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
855               END { if (nonempty) { for (i in files) print i; }; }'`; \
856         test -z "$(CTAGS_ARGS)$$unique" \
857           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
858              $$unique
859
860 GTAGS:
861         here=`$(am__cd) $(top_builddir) && pwd` \
862           && $(am__cd) $(top_srcdir) \
863           && gtags -i $(GTAGS_ARGS) "$$here"
864
865 distclean-tags:
866         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
867
868 check-TESTS: $(TESTS)
869         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
870         srcdir=$(srcdir); export srcdir; \
871         list=' $(TESTS) '; \
872         $(am__tty_colors); \
873         if test -n "$$list"; then \
874           for tst in $$list; do \
875             if test -f ./$$tst; then dir=./; \
876             elif test -f $$tst; then dir=; \
877             else dir="$(srcdir)/"; fi; \
878             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
879               all=`expr $$all + 1`; \
880               case " $(XFAIL_TESTS) " in \
881               *[\ \     ]$$tst[\ \      ]*) \
882                 xpass=`expr $$xpass + 1`; \
883                 failed=`expr $$failed + 1`; \
884                 col=$$red; res=XPASS; \
885               ;; \
886               *) \
887                 col=$$grn; res=PASS; \
888               ;; \
889               esac; \
890             elif test $$? -ne 77; then \
891               all=`expr $$all + 1`; \
892               case " $(XFAIL_TESTS) " in \
893               *[\ \     ]$$tst[\ \      ]*) \
894                 xfail=`expr $$xfail + 1`; \
895                 col=$$lgn; res=XFAIL; \
896               ;; \
897               *) \
898                 failed=`expr $$failed + 1`; \
899                 col=$$red; res=FAIL; \
900               ;; \
901               esac; \
902             else \
903               skip=`expr $$skip + 1`; \
904               col=$$blu; res=SKIP; \
905             fi; \
906             echo "$${col}$$res$${std}: $$tst"; \
907           done; \
908           if test "$$all" -eq 1; then \
909             tests="test"; \
910             All=""; \
911           else \
912             tests="tests"; \
913             All="All "; \
914           fi; \
915           if test "$$failed" -eq 0; then \
916             if test "$$xfail" -eq 0; then \
917               banner="$$All$$all $$tests passed"; \
918             else \
919               if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
920               banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
921             fi; \
922           else \
923             if test "$$xpass" -eq 0; then \
924               banner="$$failed of $$all $$tests failed"; \
925             else \
926               if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
927               banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
928             fi; \
929           fi; \
930           dashes="$$banner"; \
931           skipped=""; \
932           if test "$$skip" -ne 0; then \
933             if test "$$skip" -eq 1; then \
934               skipped="($$skip test was not run)"; \
935             else \
936               skipped="($$skip tests were not run)"; \
937             fi; \
938             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
939               dashes="$$skipped"; \
940           fi; \
941           report=""; \
942           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
943             report="Please report to $(PACKAGE_BUGREPORT)"; \
944             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
945               dashes="$$report"; \
946           fi; \
947           dashes=`echo "$$dashes" | sed s/./=/g`; \
948           if test "$$failed" -eq 0; then \
949             col="$$grn"; \
950           else \
951             col="$$red"; \
952           fi; \
953           echo "$${col}$$dashes$${std}"; \
954           echo "$${col}$$banner$${std}"; \
955           test -z "$$skipped" || echo "$${col}$$skipped$${std}"; \
956           test -z "$$report" || echo "$${col}$$report$${std}"; \
957           echo "$${col}$$dashes$${std}"; \
958           test "$$failed" -eq 0; \
959         else :; fi
960
961 distdir: $(DISTFILES)
962         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
963         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
964         list='$(DISTFILES)'; \
965           dist_files=`for file in $$list; do echo $$file; done | \
966           sed -e "s|^$$srcdirstrip/||;t" \
967               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
968         case $$dist_files in \
969           */*) $(MKDIR_P) `echo "$$dist_files" | \
970                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
971                            sort -u` ;; \
972         esac; \
973         for file in $$dist_files; do \
974           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
975           if test -d $$d/$$file; then \
976             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
977             if test -d "$(distdir)/$$file"; then \
978               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
979             fi; \
980             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
981               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
982               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
983             fi; \
984             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
985           else \
986             test -f "$(distdir)/$$file" \
987             || cp -p $$d/$$file "$(distdir)/$$file" \
988             || exit 1; \
989           fi; \
990         done
991 check-am: all-am
992         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
993         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
994 check: check-am
995 all-am: Makefile $(LTLIBRARIES) $(HEADERS) all-local
996 installdirs:
997         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciast_la_includedir)"; do \
998           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
999         done
1000 install: install-am
1001 install-exec: install-exec-am
1002 install-data: install-data-am
1003 uninstall: uninstall-am
1004
1005 install-am: all-am
1006         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1007
1008 installcheck: installcheck-am
1009 install-strip:
1010         if test -z '$(STRIP)'; then \
1011           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1012             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1013               install; \
1014         else \
1015           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1016             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1017             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1018         fi
1019 mostlyclean-generic:
1020
1021 clean-generic:
1022
1023 distclean-generic:
1024         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1025         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1026
1027 maintainer-clean-generic:
1028         @echo "This command is intended for maintainers to use"
1029         @echo "it deletes files that may require special tools to rebuild."
1030 clean: clean-am
1031
1032 clean-am: clean-checkPROGRAMS clean-generic clean-libtool clean-local \
1033         clean-pkglibLTLIBRARIES mostlyclean-am
1034
1035 distclean: distclean-am
1036         -rm -rf ./$(DEPDIR)
1037         -rm -f Makefile
1038 distclean-am: clean-am distclean-compile distclean-generic \
1039         distclean-local distclean-tags
1040
1041 dvi: dvi-am
1042
1043 dvi-am:
1044
1045 html: html-am
1046
1047 html-am:
1048
1049 info: info-am
1050
1051 info-am:
1052
1053 install-data-am: install-data-local \
1054         install-libsciast_la_includeHEADERS
1055
1056 install-dvi: install-dvi-am
1057
1058 install-dvi-am:
1059
1060 install-exec-am: install-pkglibLTLIBRARIES
1061
1062 install-html: install-html-am
1063
1064 install-html-am: install-html-local
1065
1066 install-info: install-info-am
1067
1068 install-info-am:
1069
1070 install-man:
1071
1072 install-pdf: install-pdf-am
1073
1074 install-pdf-am:
1075
1076 install-ps: install-ps-am
1077
1078 install-ps-am:
1079
1080 installcheck-am:
1081
1082 maintainer-clean: maintainer-clean-am
1083         -rm -rf ./$(DEPDIR)
1084         -rm -f Makefile
1085 maintainer-clean-am: distclean-am maintainer-clean-generic
1086
1087 mostlyclean: mostlyclean-am
1088
1089 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1090         mostlyclean-libtool
1091
1092 pdf: pdf-am
1093
1094 pdf-am:
1095
1096 ps: ps-am
1097
1098 ps-am:
1099
1100 uninstall-am: uninstall-libsciast_la_includeHEADERS \
1101         uninstall-pkglibLTLIBRARIES
1102
1103 .MAKE: check-am install-am install-strip
1104
1105 .PHONY: CTAGS GTAGS all all-am all-local check check-TESTS check-am \
1106         check-local clean clean-checkPROGRAMS clean-generic \
1107         clean-libtool clean-local clean-pkglibLTLIBRARIES ctags \
1108         distclean distclean-compile distclean-generic \
1109         distclean-libtool distclean-local distclean-tags distdir dvi \
1110         dvi-am html html-am info info-am install install-am \
1111         install-data install-data-am install-data-local install-dvi \
1112         install-dvi-am install-exec install-exec-am install-html \
1113         install-html-am install-html-local install-info \
1114         install-info-am install-libsciast_la_includeHEADERS \
1115         install-man install-pdf install-pdf-am \
1116         install-pkglibLTLIBRARIES install-ps install-ps-am \
1117         install-strip installcheck installcheck-am installdirs \
1118         maintainer-clean maintainer-clean-generic mostlyclean \
1119         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1120         pdf pdf-am ps ps-am tags uninstall uninstall-am \
1121         uninstall-libsciast_la_includeHEADERS \
1122         uninstall-pkglibLTLIBRARIES
1123
1124
1125 # This target enables tests for Scilab
1126 check-local: $(top_builddir)/scilab-bin test
1127         if test -d $(mydatadir)/tests; then \
1128           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1129         fi
1130 check-code:
1131         if test -f build.xml; then \
1132                 $(ANT) checkstyle; \
1133         fi
1134         if test -x "$(SPLINT)"; then \
1135                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1136         fi
1137 @NEED_JAVA_TRUE@java:
1138 # Some configurations needs to export JAVA_HOME in the current env
1139 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1140 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1141 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1142 @NEED_JAVA_TRUE@                $(ANT); \
1143 @NEED_JAVA_TRUE@        fi
1144
1145 @NEED_JAVA_TRUE@clean-java:
1146 # Some configurations needs to export JAVA_HOME in the current env
1147 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1148 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1149 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1150 @NEED_JAVA_TRUE@                $(ANT) clean; \
1151 @NEED_JAVA_TRUE@        fi;
1152
1153 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1154 # We call the target swig-build on the variable SWIG_WRAPPERS
1155
1156 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1157 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1158 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1159 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1160 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1161 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1162 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1163 @SWIG_TRUE@             done; \
1164 @SWIG_TRUE@     fi
1165
1166 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1167 # We call the target swig-build on the variable SWIG_WRAPPERS
1168
1169 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1170 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1171 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1172 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1173 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1174 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1175 @GIWS_TRUE@             done; \
1176 @GIWS_TRUE@     fi
1177
1178 @GIWS_TRUE@giws-exception:
1179 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1180 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1181 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1182
1183 macros:
1184         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1185                 echo "Error : Cannot build $< : Scilab has not been built"; \
1186         else \
1187                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1188         fi)
1189
1190 # Removes the macros
1191 clean-macros:
1192 # Removes macros (*.bin generated from .sci)
1193         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1194                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1195                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1196         done
1197
1198 test:
1199 # More tests could be added here
1200         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1201         if test -f build.xml -a $$USEANT -eq 1; then \
1202                 $(ANT) test; \
1203         fi
1204
1205 all-local: $(TARGETS_ALL)
1206
1207 .sci.bin:
1208         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1209         echo "Error : Cannot build $< : Scilab has not been build"; \
1210         else \
1211         echo "Creating $@"; \
1212         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1213         fi )
1214
1215 install-html-local:
1216
1217 install-data-local-local:
1218 # Mainly for javasci
1219         @if test -d $(srcdir)/javadoc; then \
1220                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1221         fi
1222 # If the user wants the help sources to be installed
1223 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1224 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1225 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1226 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1227 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1228 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1229 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1230 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1231 @INSTALL_HELP_XML_TRUE@           done ; \
1232 @INSTALL_HELP_XML_TRUE@         fi; \
1233 @INSTALL_HELP_XML_TRUE@  fi; \
1234 @INSTALL_HELP_XML_TRUE@ done; \
1235 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1236 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1237 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1238 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1239 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1240 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1241 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1242 @INSTALL_HELP_XML_TRUE@           done ; \
1243 @INSTALL_HELP_XML_TRUE@         fi; \
1244 @INSTALL_HELP_XML_TRUE@ fi
1245 install-data-local:
1246 # Install the tests
1247         @echo "-------- Install tests (if any) --------"; \
1248         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1249           if test -d $(srcdir)/$$dir/; then \
1250             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1251                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1252                     if test -d "$(srcdir)/$$dir/$$file"; then \
1253                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1254                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1255                     else \
1256                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1257                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1258                     fi \
1259                   done; \
1260           fi; \
1261         done
1262 # Install the help chapter
1263         @echo "-------- Install the help chapter (if any) --------"; \
1264         for lang in $(HELP_CHAPTERLANG); do \
1265                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1266                 if test -f $$HELPFILE; then \
1267                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1268                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1269                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1270                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1271                 fi; \
1272         done
1273 # Install the demos & examples
1274         @echo "-------- Install demos & examples (if any) --------"; \
1275         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1276           if test -d $(srcdir)/$$dir/; then \
1277             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1278                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1279                     if test -d "$(srcdir)/$$dir/$$file"; then \
1280                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1281                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1282                     else \
1283                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1284                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1285                     fi \
1286                   done; \
1287           fi; \
1288         done
1289 # Install the macros
1290         @echo "-------- Install macros (if any) --------"; \
1291         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1292           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1293                 if test -d $(srcdir)/$$dir/; then \
1294                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1295                         if test -n "$(MACROSSPECIALEXT)"; then \
1296                                 specialExtDir=""; \
1297                                 for specialExt in $(MACROSSPECIALEXT); do \
1298                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1299                                 done; \
1300                                 FILELIST="$$FILELIST $$specialExtDir"; \
1301                         fi; \
1302                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1303                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1304                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1305                   done; \
1306                 fi; \
1307         done
1308 # Install java files (.jar)
1309         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1310         echo "-------- Install jar files --------"; \
1311     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1312           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1313                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1314                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1315           done ; \
1316         fi
1317
1318 ########### CLEAN ###################
1319 # Clean help (generated automatically by Scilab)
1320 # It used to clean the macro (clean-macros) but this was causing
1321 # make clean && make to fail Scilab startup
1322 @NEED_JAVA_TRUE@clean-local: clean-java
1323 @NEED_JAVA_FALSE@clean-local:
1324
1325 distclean-local:
1326         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1327
1328 .PHONY: macros java swig giws
1329
1330 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1331 # Otherwise a system limit (for SysV at least) may be exceeded.
1332 .NOEXPORT: